import 'package:get/get_navigation/src/root/internacionalization.dart';

class Localization extends Translations {
  @override
  Map<String, Map<String, String>> get keys => {
        'en_US': {
          'search_chat': 'Search chat',
          'data_not_found': 'Data not found',
          'start_your_conversation': 'Start your conversation',
          'save': 'Save',
          'enter_user_name': 'Enter User Name',
          'contact_visible': 'This is not your username or pin. This name will be visible to your chat contact.',
          'profile': 'Profile',
          'want_to_clean': 'Are You Sure Want To Clean ?',
          'clear_chat': 'Clear chat',
          'delete_chat': 'Delete chat',
          'want_to_delete': 'Are You Sure Want To Delete ?',
          'alert': 'Alert',
          'NO': 'NO',
          'YES': 'YES',
          'typing': 'Typing...',
          'online': 'Online',
          'you': 'You',
          'type_a_message': 'Type a message',
          'send_attachment': 'Send Attachment',
          'gallery': 'Gallery',
          'camera': 'Camera',
          'document': 'Document',
          'audio': 'Audio',
          'label': 'Label',
          'create_group': 'Create Group',
          'enter_group_name': 'Enter group name',
          'add_member': 'Add Member',
          'contact_list': 'Contact list',
          'error': 'Error',
          'please_select_user': 'Please select user',
          'add': 'Add',
          'next': 'Next',
          'search_user': 'Search user',
          'contact_info': 'Contact Info',
          'participants': 'participants',
          'group': 'Group',
          'admin': 'Admin',
          'remove': 'Remove',
          'exit_group': 'Exit Group',
          'delete_group': 'Delete Group',
          'group_info': 'Group Info',
          'edit': 'Edit',
          'audio_file': 'Audio File',


        },
        'es_ES': {
          'search_chat': 'Buscar chat',
          'data_not_found': 'Datos no encontrados',
          'start_your_conversation': 'Inicia tu conversación',
          'save': 'Ahorrar',
          'enter_user_name': 'Introduzca su nombre de usuario',
          'contact_visible':"Este no es su nombre de usuario ni su pin. Este nombre será visible para su contacto de chat.",
          'profile': 'Perfil',
          'want_to_clean': '¿Estás segura de querer limpiar?',
          'clear_chat': 'Vacie la conversacion',
          'delete_chat': 'Eliminar chat',
          'want_to_delete': '¿Está seguro de que desea eliminar?',
          'alert': 'Alerta',
          'NO': 'NO',
          'YES': 'SÍ',
          'typing': 'Mecanografía...',
          'online': 'En línea',
          'you': 'Tú',
          'type_a_message': 'Escribe un mensaje',
          'send_attachment': 'Enviar archivo adjunto',
          'gallery': 'Galería',
          'camera': 'Cámara',
          'document': 'Documento',
          'audio': 'Audio',
          'label': 'Etiqueta',
          'create_group': 'Crea un grupo',
          'enter_group_name': 'Introduzca el nombre del grupo',
          'add_member': 'Añadir miembro',
          'contact_list': 'Lista de contactos',
          'error': 'Error',
          'please_select_user': 'Por favor seleccione usuario',
          'add': 'Add',
          'next': 'Próxima',
          'search_user': 'Buscar usuario',
          'contact_info': 'Datos de contacto',
          'participants': 'Las participantes',
          'group': 'Grupo',
          'admin': 'Administradora',
          'remove': 'Eliminar',
          'exit_group': 'Salir del grupo',
          'delete_group': 'Eliminar grupo',
          'group_info': 'Información del grupo',
          'edit': 'Editar',
          'audio_file': 'Archivo de audio',
        },
        'pt_pt': {
          'search_chat': 'Pesquisar bate-papo',
          'data_not_found': 'Dados não encontrados',
          'start_your_conversation': 'Comece sua conversa',
          'save': 'Salvar',
          'enter_user_name': 'Insira nome de usuário',
          'contact_visible':"Este não é seu nome de usuário ou PIN. Este nome ficará visível para o seu contato de chat.",
          'profile': 'Perfil',
          'want_to_clean': 'Tem certeza de que deseja limpar?',
          'clear_chat': 'Limpar conversa',
          'delete_chat': 'Excluir bate-papo',
          'want_to_delete': 'Tem certeza de que deseja excluir?',
          'alert': 'Alerta',
          'NO': 'NÃO',
          'YES': 'SIM',
          'typing': 'Digitando...',
          'online': 'On-line',
          'you': 'Você',
          'type_a_message': 'Digite uma mensagem',
          'send_attachment': 'Enviar anexo',
          'gallery': 'Galeria',
          'camera': 'Câmera',
          'document': 'Documento',
          'audio': 'Áudio',
          'label': 'Rótulo',
          'create_group': 'Criar grupo',
          'enter_group_name': 'Digite o nome do grupo',
          'add_member': 'Adicionar membro',
          'contact_list': 'Lista de contatos',
          'error': 'Erro',
          'please_select_user': 'Selecione o usuário',
          'add': 'Add',
          'next': 'Próxima',
          'search_user': 'Pesquisar usuário',
          'contact_info': 'Informações de contato',
          'participants': 'participantes',
          'group': 'Grupo',
          'admin': 'Administrador',
          'remove': 'Remover',
          'exit_group': 'Sair do grupo',
          'delete_group': 'Excluir grupo',
          'group_info': 'Informações do grupo',
          'edit': 'Editar',
          'audio_file': 'Arquivo de áudio',
        },

    'id_ID': {
      'search_chat': 'Cari obrolan',
      'data_not_found': 'Data tidak ditemukan',
      'start_your_conversation': 'Mulailah percakapan Anda',
      'save': 'Menyimpan',
      'enter_user_name': 'Masukkan nama pengguna',
      'contact_visible': 'Ini bukan nama pengguna atau pin Anda. Nama ini akan terlihat oleh kontak obrolan Anda.',
      'profile': 'Profil',
      'want_to_clean': 'Apakah Anda Yakin Ingin Membersihkannya?',
      'clear_chat': 'Hapus obrolan',
      'delete_chat': 'Hapus obrolan',
      'want_to_delete': 'Apakah Anda Yakin Ingin Menghapus?',
      'alert': 'Peringatan',
      'NO': 'TIDAK',
      'YES': 'YA',
      'typing': 'Mengetik...',
      'online': 'On line',
      'you': 'Anda',
      'type_a_message': 'Ketik pesan',
      'send_attachment': 'Kirim Lampiran',
      'gallery': 'Galeri',
      'camera': 'Kamera',
      'document': 'Dokumen',
      'audio': 'Audio',
      'label': 'Label',
      'create_group': 'Membuat grup',
      'enter_group_name': 'Masukkan nama grup',
      'add_member': 'Tambahkan anggota',
      'contact_list': 'Daftar kontak',
      'error': 'Kesalahan',
      'please_select_user': 'Silakan pilih pengguna',
      'add': 'Menambahkan',
      'next': 'Berikutnya',
      'search_user': 'Cari pengguna',
      'contact_info': 'Info kontak',
      'participants': 'peserta',
      'group': 'Kelompok',
      'admin': 'Admin',
      'remove': 'Menghapus',
      'exit_group': 'Keluar dari Grup',
      'delete_group': 'Hapus Grup',
      'group_info': 'Info Grup',
      'edit': 'Sunting',
      'audio_file': 'Berkas Audio',


    },
      };
}

//AppStorages.languageKey!["save"]!
